YaST注意事项

YaST是openSUSE独有的工具,也只有这个工具最大程度的让Linunx脱离了终端的掌控。不过简化的设置会更容易让低层次用户修改高层次设置,从而导致莫名其妙的问题出现。因此这个页面着重记录这些问题。

  1. 没有特殊要求,不要将文件权限设置为安全——即使提示应该使用安全文件权限。这个体现在Security Center杂项设置中。
  2. 在线更新、软件管理、软件源zypper命令涉及更新、升级源的工具经常会与KDE的发现者更新模块冲突。因此,或者将发现者的更新检查频率调整为1个月,或者禁用发现者的更新服务,或者卸载支持更新的后端,或者直接卸载发现者。
  3. openSUSE的命令行包管理没有清理无用依赖的命令(类比Debian系的apt autoremove或Arch系的pacman -Rscn),如需要清理无用依赖,可在YaST的软件管理 -> 视图 -> 包分类 -> 不被强依赖的软件包中找到。(相关资料